<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::ThreadTlv Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('dd/d2b/classThread_1_1ThreadTlv.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="../../db/d9c/classThread_1_1ThreadTlv-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::ThreadTlv Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This class implements Network Layer TLV generation and parsing.  
 <a href="../../dd/d2b/classThread_1_1ThreadTlv.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../d8/d26/thread__tlvs_8hpp_source.html">src/core/thread/thread_tlvs.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Thread::ThreadTlv:</div>
<div class="dyncontent">
<div class="center"><img src="../../d9/d40/classThread_1_1ThreadTlv__inherit__graph.png" border="0" usemap="#Thread_1_1ThreadTlv_inherit__map" alt="Inheritance graph"/></div>
<map name="Thread_1_1ThreadTlv_inherit__map" id="Thread_1_1ThreadTlv_inherit__map">
<area shape="rect" id="node2" href="../../dc/d31/classThread_1_1ThreadExtMacAddressTlv.html" title="This class implements Extended MAC Address TLV generation and parsing. " alt="" coords="184,5,409,31"/>
<area shape="rect" id="node3" href="../../dc/dc8/classThread_1_1ThreadLastTransactionTimeTlv.html" title="This class implements Time Since Last Transaction TLV generation and parsing. " alt="" coords="193,55,400,93"/>
<area shape="rect" id="node4" href="../../df/d0c/classThread_1_1ThreadMeshLocalEidTlv.html" title="This class implements ML&#45;EID TLV generation and parsing. " alt="" coords="189,117,404,143"/>
<area shape="rect" id="node5" href="../../d6/df1/classThread_1_1ThreadNetworkDataTlv.html" title="This class implements Thread Network Data TLV generation and parsing. " alt="" coords="192,167,401,192"/>
<area shape="rect" id="node6" href="../../db/d2d/classThread_1_1ThreadRloc16Tlv.html" title="This class implements RLOC16 TLV generation and parsing. " alt="" coords="210,216,383,241"/>
<area shape="rect" id="node7" href="../../dd/dd2/classThread_1_1ThreadRouterMaskTlv.html" title="This class implements Router Mask TLV generation and parsing. " alt="" coords="195,265,398,291"/>
<area shape="rect" id="node8" href="../../d4/df4/classThread_1_1ThreadStatusTlv.html" title="This class implements Status TLV generation and parsing. " alt="" coords="212,315,381,340"/>
<area shape="rect" id="node9" href="../../df/d0b/classThread_1_1ThreadTargetTlv.html" title="This class implements Target EID TLV generation and parsing. " alt="" coords="212,364,381,389"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a95dcbabfa2637b1949a8fc7e6c9c6c20"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20">Type</a> { <br />
&#160;&#160;<a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20a4cfcba644600c56b31d3e593345a92e9">kTarget</a> = 0, 
<br />
&#160;&#160;<a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20ae45fe50f25c66f9b364a6b9ed408a256">kExtMacAddress</a> = 1, 
<br />
&#160;&#160;<a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20a43f8806d2da64e1b652f976dc82807b5">kRloc16</a> = 2, 
<br />
&#160;&#160;<a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20a5bc550ea0e7e24ffc6b6b8566d3f5068">kMeshLocalEid</a> = 3, 
<br />
&#160;&#160;<a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20aab835b03f77da024a7fee49c28fc6529">kStatus</a> = 4, 
<br />
&#160;&#160;<a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20aefa4b27643bfe9c91d60a44787905bb6">kLastTransactionTime</a> = 6, 
<br />
&#160;&#160;<a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20ae79af98d544670d96254aa99f21a2f8c">kRouterMask</a> = 7, 
<br />
&#160;&#160;<a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20ae591ba9f07e54e7d23980ca6f9d3c082">kNDOption</a> = 8, 
<br />
&#160;&#160;<a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20ad9415a2fc0a3090e5c16268159186e9f">kNDData</a> = 9, 
<br />
&#160;&#160;<a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20a7636ee0c4f850dfa0b8c7412f5ea3367">kThreadNetworkData</a> = 10
<br />
 }<tr class="memdesc:a95dcbabfa2637b1949a8fc7e6c9c6c20"><td class="mdescLeft">&#160;</td><td class="mdescRight">Network Layer TLV Types.  <a href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20">More...</a><br /></td></tr>
</td></tr>
<tr class="separator:a95dcbabfa2637b1949a8fc7e6c9c6c20"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a60da431d24de15ce664368d2a96e5fcd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20">Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a60da431d24de15ce664368d2a96e5fcd">GetType</a> () const </td></tr>
<tr class="memdesc:a60da431d24de15ce664368d2a96e5fcd"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the Type value.  <a href="#a60da431d24de15ce664368d2a96e5fcd">More...</a><br /></td></tr>
<tr class="separator:a60da431d24de15ce664368d2a96e5fcd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7e30f5f1a451e88ebca600514a434b9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#ad7e30f5f1a451e88ebca600514a434b9">SetType</a> (<a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20">Type</a> aType)</td></tr>
<tr class="memdesc:ad7e30f5f1a451e88ebca600514a434b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the Type value.  <a href="#ad7e30f5f1a451e88ebca600514a434b9">More...</a><br /></td></tr>
<tr class="separator:ad7e30f5f1a451e88ebca600514a434b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad58148cecaf4a01c4f53c923a09b51d1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad58148cecaf4a01c4f53c923a09b51d1"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#ad58148cecaf4a01c4f53c923a09b51d1">GetLength</a> () const </td></tr>
<tr class="memdesc:ad58148cecaf4a01c4f53c923a09b51d1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the Length value. <br /></td></tr>
<tr class="separator:ad58148cecaf4a01c4f53c923a09b51d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37cf188a803169aa9fb1e384def63f73"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a37cf188a803169aa9fb1e384def63f73">SetLength</a> (uint8_t aLength)</td></tr>
<tr class="memdesc:a37cf188a803169aa9fb1e384def63f73"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the Length value.  <a href="#a37cf188a803169aa9fb1e384def63f73">More...</a><br /></td></tr>
<tr class="separator:a37cf188a803169aa9fb1e384def63f73"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a4a079523209bf967433700e7010f4bde"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a4a079523209bf967433700e7010f4bde">GetTlv</a> (const <a class="el" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage, <a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20">Type</a> aType, uint16_t aMaxLength, <a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html">ThreadTlv</a> &amp;aTlv)</td></tr>
<tr class="memdesc:a4a079523209bf967433700e7010f4bde"><td class="mdescLeft">&#160;</td><td class="mdescRight">This static method reads the requested TLV out of <code>aMessage</code>.  <a href="#a4a079523209bf967433700e7010f4bde">More...</a><br /></td></tr>
<tr class="separator:a4a079523209bf967433700e7010f4bde"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class implements Network Layer TLV generation and parsing. </p>
</div><h2 class="groupheader">Member Enumeration Documentation</h2>
<a class="anchor" id="a95dcbabfa2637b1949a8fc7e6c9c6c20"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20">Thread::ThreadTlv::Type</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Network Layer TLV Types. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="a95dcbabfa2637b1949a8fc7e6c9c6c20a4cfcba644600c56b31d3e593345a92e9"></a>kTarget&#160;</td><td class="fielddoc">
<p>Target EID TLV. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a95dcbabfa2637b1949a8fc7e6c9c6c20ae45fe50f25c66f9b364a6b9ed408a256"></a>kExtMacAddress&#160;</td><td class="fielddoc">
<p>Extended MAC Address TLV. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a95dcbabfa2637b1949a8fc7e6c9c6c20a43f8806d2da64e1b652f976dc82807b5"></a>kRloc16&#160;</td><td class="fielddoc">
<p>RLOC16 TLV. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a95dcbabfa2637b1949a8fc7e6c9c6c20a5bc550ea0e7e24ffc6b6b8566d3f5068"></a>kMeshLocalEid&#160;</td><td class="fielddoc">
<p>ML-EID TLV. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a95dcbabfa2637b1949a8fc7e6c9c6c20aab835b03f77da024a7fee49c28fc6529"></a>kStatus&#160;</td><td class="fielddoc">
<p>Status TLV. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a95dcbabfa2637b1949a8fc7e6c9c6c20aefa4b27643bfe9c91d60a44787905bb6"></a>kLastTransactionTime&#160;</td><td class="fielddoc">
<p>Time Since Last Transaction TLV. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a95dcbabfa2637b1949a8fc7e6c9c6c20ae79af98d544670d96254aa99f21a2f8c"></a>kRouterMask&#160;</td><td class="fielddoc">
<p><a class="el" href="../../db/d81/classThread_1_1Router.html" title="This class represents a Thread Router. ">Router</a> Mask TLV. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a95dcbabfa2637b1949a8fc7e6c9c6c20ae591ba9f07e54e7d23980ca6f9d3c082"></a>kNDOption&#160;</td><td class="fielddoc">
<p>ND Option TLV. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a95dcbabfa2637b1949a8fc7e6c9c6c20ad9415a2fc0a3090e5c16268159186e9f"></a>kNDData&#160;</td><td class="fielddoc">
<p>ND Data TLV. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a95dcbabfa2637b1949a8fc7e6c9c6c20a7636ee0c4f850dfa0b8c7412f5ea3367"></a>kThreadNetworkData&#160;</td><td class="fielddoc">
<p>Thread Network Data TLV. </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a4a079523209bf967433700e7010f4bde"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> Thread::ThreadTlv::GetTlv </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;&#160;</td>
          <td class="paramname"><em>aMessage</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20">Type</a>&#160;</td>
          <td class="paramname"><em>aType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>aMaxLength</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html">ThreadTlv</a> &amp;&#160;</td>
          <td class="paramname"><em>aTlv</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This static method reads the requested TLV out of <code>aMessage</code>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aMessage</td><td>A reference to the message. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aType</td><td>The Type value to search for. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aMaxLength</td><td>Maximum number of bytes to read. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">aTlv</td><td>A reference to the TLV that will be copied to.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>Successfully copied the TLV. </td></tr>
    <tr><td class="paramname">kThreadError_NotFound</td><td>Could not find the TLV with Type <code>aType</code>. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../dd/d2b/classThread_1_1ThreadTlv_a4a079523209bf967433700e7010f4bde_cgraph.png" border="0" usemap="#dd/d2b/classThread_1_1ThreadTlv_a4a079523209bf967433700e7010f4bde_cgraph" alt=""/></div>
<map name="dd/d2b/classThread_1_1ThreadTlv_a4a079523209bf967433700e7010f4bde_cgraph" id="dd/d2b/classThread_1_1ThreadTlv_a4a079523209bf967433700e7010f4bde_cgraph">
<area shape="rect" id="node2" href="../../dc/d3c/classThread_1_1Message.html#ac8304ee00c9e0b303539687e98e192e0" title="This method returns the byte offset within the message. " alt="" coords="194,5,384,31"/>
<area shape="rect" id="node3" href="../../dc/d3c/classThread_1_1Message.html#a2cf440376e834030c38bb2ced4ca49e9" title="This method returns the number of bytes in the message. " alt="" coords="192,55,387,80"/>
<area shape="rect" id="node4" href="../../dc/d3c/classThread_1_1Message.html#a76033bbc15170d72452186058defafa2" title="This method reads bytes from the message. " alt="" coords="207,104,371,129"/>
<area shape="rect" id="node6" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a60da431d24de15ce664368d2a96e5fcd" title="This method returns the Type value. " alt="" coords="220,153,358,192"/>
<area shape="rect" id="node7" href="../../dd/d2b/classThread_1_1ThreadTlv.html#ad58148cecaf4a01c4f53c923a09b51d1" title="This method returns the Length value. " alt="" coords="220,216,358,255"/>
<area shape="rect" id="node5" href="../../db/d50/classThread_1_1Buffer.html#a34ab22941ccd9bb222d251a6a18c95bf" title="This method returns a pointer to the next message buffer. " alt="" coords="435,104,633,129"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../dd/d2b/classThread_1_1ThreadTlv_a4a079523209bf967433700e7010f4bde_icgraph.png" border="0" usemap="#dd/d2b/classThread_1_1ThreadTlv_a4a079523209bf967433700e7010f4bde_icgraph" alt=""/></div>
<map name="dd/d2b/classThread_1_1ThreadTlv_a4a079523209bf967433700e7010f4bde_icgraph" id="dd/d2b/classThread_1_1ThreadTlv_a4a079523209bf967433700e7010f4bde_icgraph">
<area shape="rect" id="node2" href="../../d4/dcf/classThread_1_1AddressResolver.html#ac249179518a77ecfdaf7d4502ef2f940" title="This method returns the RLOC16 for a given EID, or initiates an Address Query if the mapping is not k..." alt="" coords="1798,148,1970,187"/>
<area shape="rect" id="node11" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1803,464,1965,503"/>
<area shape="rect" id="node12" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#ab1860ae9877c2b0f6a83d677d41e31d6" title="This method returns a pointer to the Commissioning Data. " alt="" coords="192,1052,410,1091"/>
<area shape="rect" id="node39" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a37cf188a803169aa9fb1e384def63f73" title="This method sets the Length value. " alt="" coords="1292,335,1430,373"/>
<area shape="rect" id="node3" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="2086,449,2250,488"/>
<area shape="rect" id="node4" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="2372,449,2536,488"/>
<area shape="rect" id="node5" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="2369,512,2539,551"/>
<area shape="rect" id="node10" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="2383,387,2524,425"/>
<area shape="rect" id="node6" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="2617,711,2798,736"/>
<area shape="rect" id="node7" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2862,704,3036,743"/>
<area shape="rect" id="node8" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2907,832,2991,857"/>
<area shape="rect" id="node9" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="3094,1043,3250,1081"/>
<area shape="rect" id="node13" href="../../dd/d9d/classThread_1_1MeshCoP_1_1JoinerRouter.html#a5479381c182fcb3e0135c2c75fc2c96e" title="This constructor initializes the Joiner Router object. " alt="" coords="720,1316,933,1355"/>
<area shape="rect" id="node14" href="../../dd/d9d/classThread_1_1MeshCoP_1_1JoinerRouter.html#a484af9ea3f5c73ec07d3e47c21a647c5" title="This method returns the Joiner UDP Port. " alt="" coords="458,1163,671,1201"/>
<area shape="rect" id="node16" href="../../df/d94/group__core-mle-core.html#ga0ea27201cf13a4e1b0680a9da6c54a64" title="This method submits an MLE message to the UDP socket. " alt="" coords="719,952,934,977"/>
<area shape="rect" id="node38" href="../../de/d9d/classThread_1_1EnergyScanServer.html#aee01420f701ef44d6432280d8e4bf3e3" title="This constructor initializes the object. " alt="" coords="473,1052,656,1091"/>
<area shape="rect" id="node15" href="../../da/d96/group__config-router.html#ga13a7243b3d4c16cfc50bfbf29c42dd10" title="Get the Joiner UDP Port. " alt="" coords="2638,1265,2777,1291"/>
<area shape="rect" id="node17" href="../../df/d94/group__core-mle-core.html#gace8437c6340cefbd5db1a53f9e00422b" title="This method appends a Pending Timestamp TLV to a message. " alt="" coords="1274,876,1448,915"/>
<area shape="rect" id="node18" href="../../df/d94/group__core-mle-core.html#gac13477847483bba0aeab32fd93a7dbac" title="This method generates an MLE Data Request message. " alt="" coords="1530,951,1718,989"/>
<area shape="rect" id="node19" href="../../db/dec/group__core-mle-router.html#ga12a2afd1fef5036981d7f1f05d3e6f01" title="This method sets the ROUTER_DOWNGRADE_THRESHOLD value. " alt="" coords="1776,1000,1992,1039"/>
<area shape="rect" id="node23" href="../../db/dec/group__core-mle-router.html#gac532b9ffa61813ee2c1463b6820c8c75" title="This method returns the number of active routers. " alt="" coords="1543,767,1705,805"/>
<area shape="rect" id="node28" href="../../df/d94/group__core-mle-core.html#ga09239c621861382d25163980ab5d983b" title="This method generates an MLE Child Update Request message. " alt="" coords="996,1088,1187,1127"/>
<area shape="rect" id="node35" href="../../df/d94/group__core-mle-core.html#ga91214fcb8db3271fc3ad0472e38c1e0a" title="This method generates an MLE Announce message. " alt="" coords="982,839,1201,864"/>
<area shape="rect" id="node37" href="../../db/dec/group__core-mle-router.html#ga7126c084ace25827febebc4210928cd4" title="This method generates an MLE Link Reject. " alt="" coords="1011,648,1172,687"/>
<area shape="rect" id="node20" href="../../db/d57/group__config-test.html#ga907be1830046930bb04f606dc6dc3ec1" title="Set the ROUTER_DOWNGRADE_THRESHOLD parameter used in the Leader role. " alt="" coords="2344,1007,2564,1032"/>
<area shape="rect" id="node21" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="2612,1100,2804,1139"/>
<area shape="rect" id="node22" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="2852,1100,3046,1139"/>
<area shape="rect" id="node24" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="1803,836,1965,875"/>
<area shape="rect" id="node26" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a6688957845dc3ee7fc08bbc50145d98e" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="2052,767,2284,805"/>
<area shape="rect" id="node25" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="2040,836,2296,875"/>
<area shape="rect" id="node27" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. " alt="" coords="2388,948,2519,973"/>
<area shape="rect" id="node29" href="../../df/d94/group__core-mle-core.html#ga01c7e5a022360a6f35e30d07221dbfea" title="This method starts the MLE protocol operation. " alt="" coords="1282,1215,1439,1240"/>
<area shape="rect" id="node31" href="../../df/d94/group__core-mle-core.html#gafb51db61e6e184d664a9e7cc3833dcf4" title="This method sets the MLE Timeout value. " alt="" coords="1263,1165,1459,1191"/>
<area shape="rect" id="node33" href="../../df/d94/group__core-mle-core.html#ga453d94c377c5825a4a5e8b66a728e591" title="This method sets the Device Mode as reported in the Mode TLV. " alt="" coords="1249,1116,1472,1141"/>
<area shape="rect" id="node30" href="../../d0/d0a/group__commands.html#ga62fbc1cdb7b036df73975ca5683f8573" title="This function starts Thread protocol operation. " alt="" coords="2402,1215,2505,1240"/>
<area shape="rect" id="node32" href="../../df/d4f/group__config-general.html#ga6b28b99c77378da98922a3d994b7641c" title="Set the Thread Child Timeout used when operating in the Child role. " alt="" coords="2388,1164,2519,1189"/>
<area shape="rect" id="node34" href="../../df/d4f/group__config-general.html#ga8263fa852e25758aad3636bce0069a0d" title="Set the MLE Link Mode configuration. " alt="" coords="2399,1107,2509,1132"/>
<area shape="rect" id="node36" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a0ec55dcc678b320251be99112cfc037b" title="This method begins the MLE Announce transmission process. " alt="" coords="1259,813,1463,852"/>
<area shape="rect" id="node40" href="../../d4/d80/group__core-netdata-core.html#ga0caa53c797a248a80b591f963d110657" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="1778,553,1990,605"/>
<area shape="rect" id="node43" href="../../df/d0b/classThread_1_1ThreadTargetTlv.html#a7318ec141eba6389561bfcb5f4717c7c" title="This method initializes the TLV. " alt="" coords="1540,179,1708,217"/>
<area shape="rect" id="node44" href="../../dc/d31/classThread_1_1ThreadExtMacAddressTlv.html#ac6b4b050a6c650e4cb7de7e8fc7a9178" title="This method initializes the TLV. " alt="" coords="1521,367,1727,405"/>
<area shape="rect" id="node45" href="../../db/d2d/classThread_1_1ThreadRloc16Tlv.html#a952d3d7a606faed1102eade54c408d19" title="This method initializes the TLV. " alt="" coords="1538,492,1710,531"/>
<area shape="rect" id="node46" href="../../df/d0c/classThread_1_1ThreadMeshLocalEidTlv.html#a0450a18b95bd63c077843d1787ccccea" title="This method initializes the TLV. " alt="" coords="1526,53,1723,92"/>
<area shape="rect" id="node47" href="../../d4/df4/classThread_1_1ThreadStatusTlv.html#a249b814440f54492a04513f4e04f5212" title="This method initializes the TLV. " alt="" coords="1540,429,1709,468"/>
<area shape="rect" id="node48" href="../../dc/dc8/classThread_1_1ThreadLastTransactionTimeTlv.html#af9cc34caed840a2d9cac57601da0d9e1" title="This method initializes the TLV. " alt="" coords="1520,116,1728,155"/>
<area shape="rect" id="node49" href="../../dd/dd2/classThread_1_1ThreadRouterMaskTlv.html#a88b02161f10ccb6d431ac7d13876f904" title="This method initializes the TLV. " alt="" coords="1532,241,1717,280"/>
<area shape="rect" id="node50" href="../../d6/df1/classThread_1_1ThreadNetworkDataTlv.html#a9a28100fe7cb95feedaa1ff08fe08585" title="This method initializes the TLV. " alt="" coords="1529,304,1719,343"/>
<area shape="rect" id="node41" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#a719450dae714bd29bfea19b7d1eb6e9f" title="This method sends a Server Data Notification message to the Leader indicating an invalid RLOC16..." alt="" coords="2047,572,2289,611"/>
<area shape="rect" id="node42" href="../../db/dec/group__core-mle-router.html#gacc03d6eee4a8cc0fa65e15d1e65ca909" title="This method removes a link to a neighbor. " alt="" coords="2373,575,2534,613"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a60da431d24de15ce664368d2a96e5fcd"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20">Type</a> Thread::ThreadTlv::GetType </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the Type value. </p>
<dl class="section return"><dt>Returns</dt><dd>The Type value. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../dd/d2b/classThread_1_1ThreadTlv_a60da431d24de15ce664368d2a96e5fcd_icgraph.png" border="0" usemap="#dd/d2b/classThread_1_1ThreadTlv_a60da431d24de15ce664368d2a96e5fcd_icgraph" alt=""/></div>
<map name="dd/d2b/classThread_1_1ThreadTlv_a60da431d24de15ce664368d2a96e5fcd_icgraph" id="dd/d2b/classThread_1_1ThreadTlv_a60da431d24de15ce664368d2a96e5fcd_icgraph">
<area shape="rect" id="node2" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a4a079523209bf967433700e7010f4bde" title="This static method reads the requested TLV out of aMessage. " alt="" coords="192,519,330,558"/>
<area shape="rect" id="node3" href="../../d4/dcf/classThread_1_1AddressResolver.html#ac249179518a77ecfdaf7d4502ef2f940" title="This method returns the RLOC16 for a given EID, or initiates an Address Query if the mapping is not k..." alt="" coords="1984,182,2157,221"/>
<area shape="rect" id="node12" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1990,547,2151,586"/>
<area shape="rect" id="node13" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#ab1860ae9877c2b0f6a83d677d41e31d6" title="This method returns a pointer to the Commissioning Data. " alt="" coords="378,713,597,751"/>
<area shape="rect" id="node39" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a37cf188a803169aa9fb1e384def63f73" title="This method sets the Length value. " alt="" coords="1478,331,1617,370"/>
<area shape="rect" id="node4" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="2272,547,2437,586"/>
<area shape="rect" id="node5" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="2558,494,2722,533"/>
<area shape="rect" id="node6" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="2555,630,2725,669"/>
<area shape="rect" id="node11" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="2570,557,2710,595"/>
<area shape="rect" id="node7" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="2804,766,2984,791"/>
<area shape="rect" id="node8" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="3038,763,3211,802"/>
<area shape="rect" id="node9" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="3082,833,3167,858"/>
<area shape="rect" id="node10" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="3259,933,3415,971"/>
<area shape="rect" id="node14" href="../../dd/d9d/classThread_1_1MeshCoP_1_1JoinerRouter.html#a5479381c182fcb3e0135c2c75fc2c96e" title="This constructor initializes the Joiner Router object. " alt="" coords="906,655,1120,694"/>
<area shape="rect" id="node15" href="../../dd/d9d/classThread_1_1MeshCoP_1_1JoinerRouter.html#a484af9ea3f5c73ec07d3e47c21a647c5" title="This method returns the Joiner UDP Port. " alt="" coords="645,713,858,751"/>
<area shape="rect" id="node17" href="../../df/d94/group__core-mle-core.html#ga0ea27201cf13a4e1b0680a9da6c54a64" title="This method submits an MLE message to the UDP socket. " alt="" coords="906,1033,1120,1058"/>
<area shape="rect" id="node38" href="../../de/d9d/classThread_1_1EnergyScanServer.html#aee01420f701ef44d6432280d8e4bf3e3" title="This constructor initializes the object. " alt="" coords="660,775,843,814"/>
<area shape="rect" id="node16" href="../../da/d96/group__config-router.html#ga13a7243b3d4c16cfc50bfbf29c42dd10" title="Get the Joiner UDP Port. " alt="" coords="2824,713,2964,738"/>
<area shape="rect" id="node18" href="../../df/d94/group__core-mle-core.html#gace8437c6340cefbd5db1a53f9e00422b" title="This method appends a Pending Timestamp TLV to a message. " alt="" coords="1460,929,1635,967"/>
<area shape="rect" id="node19" href="../../df/d94/group__core-mle-core.html#gac13477847483bba0aeab32fd93a7dbac" title="This method generates an MLE Data Request message. " alt="" coords="1717,1185,1905,1223"/>
<area shape="rect" id="node20" href="../../db/dec/group__core-mle-router.html#ga12a2afd1fef5036981d7f1f05d3e6f01" title="This method sets the ROUTER_DOWNGRADE_THRESHOLD value. " alt="" coords="1962,1185,2179,1223"/>
<area shape="rect" id="node23" href="../../db/dec/group__core-mle-router.html#gac532b9ffa61813ee2c1463b6820c8c75" title="This method returns the number of active routers. " alt="" coords="1730,878,1892,917"/>
<area shape="rect" id="node28" href="../../df/d94/group__core-mle-core.html#ga09239c621861382d25163980ab5d983b" title="This method generates an MLE Child Update Request message. " alt="" coords="1183,1026,1373,1065"/>
<area shape="rect" id="node35" href="../../df/d94/group__core-mle-core.html#ga91214fcb8db3271fc3ad0472e38c1e0a" title="This method generates an MLE Announce message. " alt="" coords="1168,1266,1388,1291"/>
<area shape="rect" id="node37" href="../../db/dec/group__core-mle-router.html#ga7126c084ace25827febebc4210928cd4" title="This method generates an MLE Link Reject. " alt="" coords="1197,763,1359,802"/>
<area shape="rect" id="node21" href="../../db/d57/group__config-test.html#ga907be1830046930bb04f606dc6dc3ec1" title="Set the ROUTER_DOWNGRADE_THRESHOLD parameter used in the Leader role. " alt="" coords="2530,1155,2750,1181"/>
<area shape="rect" id="node22" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="2798,990,2990,1029"/>
<area shape="rect" id="node24" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="1990,814,2151,853"/>
<area shape="rect" id="node26" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a6688957845dc3ee7fc08bbc50145d98e" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="2238,883,2471,922"/>
<area shape="rect" id="node25" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="2227,814,2482,853"/>
<area shape="rect" id="node27" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. " alt="" coords="2575,890,2706,915"/>
<area shape="rect" id="node29" href="../../df/d94/group__core-mle-core.html#ga01c7e5a022360a6f35e30d07221dbfea" title="This method starts the MLE protocol operation. " alt="" coords="1469,1090,1626,1115"/>
<area shape="rect" id="node31" href="../../df/d94/group__core-mle-core.html#gafb51db61e6e184d664a9e7cc3833dcf4" title="This method sets the MLE Timeout value. " alt="" coords="1449,991,1646,1017"/>
<area shape="rect" id="node33" href="../../df/d94/group__core-mle-core.html#ga453d94c377c5825a4a5e8b66a728e591" title="This method sets the Device Mode as reported in the Mode TLV. " alt="" coords="1436,1041,1659,1066"/>
<area shape="rect" id="node30" href="../../d0/d0a/group__commands.html#ga62fbc1cdb7b036df73975ca5683f8573" title="This function starts Thread protocol operation. " alt="" coords="2589,1105,2692,1130"/>
<area shape="rect" id="node32" href="../../df/d4f/group__config-general.html#ga6b28b99c77378da98922a3d994b7641c" title="Set the Thread Child Timeout used when operating in the Child role. " alt="" coords="2575,997,2705,1022"/>
<area shape="rect" id="node34" href="../../df/d4f/group__config-general.html#ga8263fa852e25758aad3636bce0069a0d" title="Set the MLE Link Mode configuration. " alt="" coords="2585,1054,2695,1079"/>
<area shape="rect" id="node36" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a0ec55dcc678b320251be99112cfc037b" title="This method begins the MLE Announce transmission process. " alt="" coords="1445,1266,1650,1305"/>
<area shape="rect" id="node40" href="../../d4/d80/group__core-netdata-core.html#ga0caa53c797a248a80b591f963d110657" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="1965,353,2176,405"/>
<area shape="rect" id="node43" href="../../df/d0b/classThread_1_1ThreadTargetTlv.html#a7318ec141eba6389561bfcb5f4717c7c" title="This method initializes the TLV. " alt="" coords="1727,119,1895,158"/>
<area shape="rect" id="node44" href="../../dc/d31/classThread_1_1ThreadExtMacAddressTlv.html#ac6b4b050a6c650e4cb7de7e8fc7a9178" title="This method initializes the TLV. " alt="" coords="1707,422,1914,461"/>
<area shape="rect" id="node45" href="../../db/d2d/classThread_1_1ThreadRloc16Tlv.html#a952d3d7a606faed1102eade54c408d19" title="This method initializes the TLV. " alt="" coords="1724,359,1897,398"/>
<area shape="rect" id="node46" href="../../df/d0c/classThread_1_1ThreadMeshLocalEidTlv.html#a0450a18b95bd63c077843d1787ccccea" title="This method initializes the TLV. " alt="" coords="1712,245,1909,283"/>
<area shape="rect" id="node47" href="../../d4/df4/classThread_1_1ThreadStatusTlv.html#a249b814440f54492a04513f4e04f5212" title="This method initializes the TLV. " alt="" coords="1726,485,1895,523"/>
<area shape="rect" id="node48" href="../../dc/dc8/classThread_1_1ThreadLastTransactionTimeTlv.html#af9cc34caed840a2d9cac57601da0d9e1" title="This method initializes the TLV. " alt="" coords="1707,57,1914,95"/>
<area shape="rect" id="node49" href="../../dd/dd2/classThread_1_1ThreadRouterMaskTlv.html#a88b02161f10ccb6d431ac7d13876f904" title="This method initializes the TLV. " alt="" coords="1718,547,1903,586"/>
<area shape="rect" id="node50" href="../../d6/df1/classThread_1_1ThreadNetworkDataTlv.html#a9a28100fe7cb95feedaa1ff08fe08585" title="This method initializes the TLV. " alt="" coords="1715,182,1906,221"/>
<area shape="rect" id="node41" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#a719450dae714bd29bfea19b7d1eb6e9f" title="This method sends a Server Data Notification message to the Leader indicating an invalid RLOC16..." alt="" coords="2233,359,2476,398"/>
<area shape="rect" id="node42" href="../../db/dec/group__core-mle-router.html#gacc03d6eee4a8cc0fa65e15d1e65ca909" title="This method removes a link to a neighbor. " alt="" coords="2559,359,2721,398"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a37cf188a803169aa9fb1e384def63f73"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::ThreadTlv::SetLength </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>aLength</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method sets the Length value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aLength</td><td>The Length value. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../dd/d2b/classThread_1_1ThreadTlv_a37cf188a803169aa9fb1e384def63f73_cgraph.png" border="0" usemap="#dd/d2b/classThread_1_1ThreadTlv_a37cf188a803169aa9fb1e384def63f73_cgraph" alt=""/></div>
<map name="dd/d2b/classThread_1_1ThreadTlv_a37cf188a803169aa9fb1e384def63f73_cgraph" id="dd/d2b/classThread_1_1ThreadTlv_a37cf188a803169aa9fb1e384def63f73_cgraph">
<area shape="rect" id="node2" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a4a079523209bf967433700e7010f4bde" title="This static method reads the requested TLV out of aMessage. " alt="" coords="192,97,330,136"/>
<area shape="rect" id="node3" href="../../dc/d3c/classThread_1_1Message.html#ac8304ee00c9e0b303539687e98e192e0" title="This method returns the byte offset within the message. " alt="" coords="381,5,570,31"/>
<area shape="rect" id="node4" href="../../dc/d3c/classThread_1_1Message.html#a2cf440376e834030c38bb2ced4ca49e9" title="This method returns the number of bytes in the message. " alt="" coords="378,55,573,80"/>
<area shape="rect" id="node5" href="../../dc/d3c/classThread_1_1Message.html#a76033bbc15170d72452186058defafa2" title="This method reads bytes from the message. " alt="" coords="393,104,558,129"/>
<area shape="rect" id="node7" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a60da431d24de15ce664368d2a96e5fcd" title="This method returns the Type value. " alt="" coords="406,153,545,192"/>
<area shape="rect" id="node8" href="../../dd/d2b/classThread_1_1ThreadTlv.html#ad58148cecaf4a01c4f53c923a09b51d1" title="This method returns the Length value. " alt="" coords="406,216,545,255"/>
<area shape="rect" id="node6" href="../../db/d50/classThread_1_1Buffer.html#a34ab22941ccd9bb222d251a6a18c95bf" title="This method returns a pointer to the next message buffer. " alt="" coords="621,104,819,129"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../dd/d2b/classThread_1_1ThreadTlv_a37cf188a803169aa9fb1e384def63f73_icgraph.png" border="0" usemap="#dd/d2b/classThread_1_1ThreadTlv_a37cf188a803169aa9fb1e384def63f73_icgraph" alt=""/></div>
<map name="dd/d2b/classThread_1_1ThreadTlv_a37cf188a803169aa9fb1e384def63f73_icgraph" id="dd/d2b/classThread_1_1ThreadTlv_a37cf188a803169aa9fb1e384def63f73_icgraph">
<area shape="rect" id="node2" href="../../d4/d80/group__core-netdata-core.html#ga0caa53c797a248a80b591f963d110657" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="447,474,659,526"/>
<area shape="rect" id="node36" href="../../df/d0b/classThread_1_1ThreadTargetTlv.html#a7318ec141eba6389561bfcb5f4717c7c" title="This method initializes the TLV. " alt="" coords="212,715,380,754"/>
<area shape="rect" id="node38" href="../../dc/d31/classThread_1_1ThreadExtMacAddressTlv.html#ac6b4b050a6c650e4cb7de7e8fc7a9178" title="This method initializes the TLV. " alt="" coords="1220,460,1427,499"/>
<area shape="rect" id="node39" href="../../db/d2d/classThread_1_1ThreadRloc16Tlv.html#a952d3d7a606faed1102eade54c408d19" title="This method initializes the TLV. " alt="" coords="209,600,382,639"/>
<area shape="rect" id="node40" href="../../df/d0c/classThread_1_1ThreadMeshLocalEidTlv.html#a0450a18b95bd63c077843d1787ccccea" title="This method initializes the TLV. " alt="" coords="197,778,394,816"/>
<area shape="rect" id="node41" href="../../d4/df4/classThread_1_1ThreadStatusTlv.html#a249b814440f54492a04513f4e04f5212" title="This method initializes the TLV. " alt="" coords="1497,659,1666,698"/>
<area shape="rect" id="node42" href="../../dc/dc8/classThread_1_1ThreadLastTransactionTimeTlv.html#af9cc34caed840a2d9cac57601da0d9e1" title="This method initializes the TLV. " alt="" coords="192,840,399,879"/>
<area shape="rect" id="node43" href="../../dd/dd2/classThread_1_1ThreadRouterMaskTlv.html#a88b02161f10ccb6d431ac7d13876f904" title="This method initializes the TLV. " alt="" coords="461,550,646,588"/>
<area shape="rect" id="node44" href="../../d6/df1/classThread_1_1ThreadNetworkDataTlv.html#a9a28100fe7cb95feedaa1ff08fe08585" title="This method initializes the TLV. " alt="" coords="200,903,391,942"/>
<area shape="rect" id="node3" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#a719450dae714bd29bfea19b7d1eb6e9f" title="This method sends a Server Data Notification message to the Leader indicating an invalid RLOC16..." alt="" coords="707,482,949,520"/>
<area shape="rect" id="node5" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a6688957845dc3ee7fc08bbc50145d98e" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="712,362,945,400"/>
<area shape="rect" id="node4" href="../../db/dec/group__core-mle-router.html#gacc03d6eee4a8cc0fa65e15d1e65ca909" title="This method removes a link to a neighbor. " alt="" coords="1004,482,1165,520"/>
<area shape="rect" id="node6" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. " alt="" coords="2338,8,2469,34"/>
<area shape="rect" id="node10" href="../../df/d94/group__core-mle-core.html#gace8437c6340cefbd5db1a53f9e00422b" title="This method appends a Pending Timestamp TLV to a message. " alt="" coords="997,248,1172,287"/>
<area shape="rect" id="node29" href="../../db/dec/group__core-mle-router.html#gac532b9ffa61813ee2c1463b6820c8c75" title="This method returns the number of active routers. " alt="" coords="1766,431,1928,470"/>
<area shape="rect" id="node7" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="3283,184,3438,223"/>
<area shape="rect" id="node8" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="2579,102,2771,140"/>
<area shape="rect" id="node9" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="2819,102,3014,140"/>
<area shape="rect" id="node11" href="../../df/d94/group__core-mle-core.html#gac13477847483bba0aeab32fd93a7dbac" title="This method generates an MLE Data Request message. " alt="" coords="1229,191,1417,230"/>
<area shape="rect" id="node12" href="../../df/d94/group__core-mle-core.html#ga0ea27201cf13a4e1b0680a9da6c54a64" title="This method submits an MLE message to the UDP socket. " alt="" coords="1475,255,1689,280"/>
<area shape="rect" id="node25" href="../../db/dec/group__core-mle-router.html#ga12a2afd1fef5036981d7f1f05d3e6f01" title="This method sets the ROUTER_DOWNGRADE_THRESHOLD value. " alt="" coords="1739,152,1955,191"/>
<area shape="rect" id="node13" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="2826,360,3007,386"/>
<area shape="rect" id="node16" href="../../df/d94/group__core-mle-core.html#ga09239c621861382d25163980ab5d983b" title="This method generates an MLE Child Update Request message. " alt="" coords="1752,90,1942,128"/>
<area shape="rect" id="node23" href="../../df/d94/group__core-mle-core.html#ga91214fcb8db3271fc3ad0472e38c1e0a" title="This method generates an MLE Announce message. " alt="" coords="1737,267,1957,292"/>
<area shape="rect" id="node27" href="../../db/dec/group__core-mle-router.html#ga7126c084ace25827febebc4210928cd4" title="This method generates an MLE Link Reject. " alt="" coords="1766,368,1927,407"/>
<area shape="rect" id="node14" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="3062,318,3235,356"/>
<area shape="rect" id="node15" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="3106,380,3190,406"/>
<area shape="rect" id="node17" href="../../df/d94/group__core-mle-core.html#ga01c7e5a022360a6f35e30d07221dbfea" title="This method starts the MLE protocol operation. " alt="" coords="2038,210,2195,235"/>
<area shape="rect" id="node19" href="../../df/d94/group__core-mle-core.html#gafb51db61e6e184d664a9e7cc3833dcf4" title="This method sets the MLE Timeout value. " alt="" coords="2018,108,2214,134"/>
<area shape="rect" id="node21" href="../../df/d94/group__core-mle-core.html#ga453d94c377c5825a4a5e8b66a728e591" title="This method sets the Device Mode as reported in the Mode TLV. " alt="" coords="2005,59,2228,84"/>
<area shape="rect" id="node18" href="../../d0/d0a/group__commands.html#ga62fbc1cdb7b036df73975ca5683f8573" title="This function starts Thread protocol operation. " alt="" coords="2352,210,2455,235"/>
<area shape="rect" id="node20" href="../../df/d4f/group__config-general.html#ga6b28b99c77378da98922a3d994b7641c" title="Set the Thread Child Timeout used when operating in the Child role. " alt="" coords="2338,108,2469,134"/>
<area shape="rect" id="node22" href="../../df/d4f/group__config-general.html#ga8263fa852e25758aad3636bce0069a0d" title="Set the MLE Link Mode configuration. " alt="" coords="2348,59,2458,84"/>
<area shape="rect" id="node24" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a0ec55dcc678b320251be99112cfc037b" title="This method begins the MLE Announce transmission process. " alt="" coords="2014,259,2218,298"/>
<area shape="rect" id="node26" href="../../db/d57/group__config-test.html#ga907be1830046930bb04f606dc6dc3ec1" title="Set the ROUTER_DOWNGRADE_THRESHOLD parameter used in the Leader role. " alt="" coords="2293,159,2513,184"/>
<area shape="rect" id="node28" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="2590,394,2760,432"/>
<area shape="rect" id="node30" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="2035,550,2197,588"/>
<area shape="rect" id="node34" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="2035,431,2197,470"/>
<area shape="rect" id="node31" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="2321,550,2486,588"/>
<area shape="rect" id="node32" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="2593,580,2757,619"/>
<area shape="rect" id="node33" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="2605,518,2745,556"/>
<area shape="rect" id="node35" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="2276,431,2531,470"/>
<area shape="rect" id="node37" href="../../d4/dcf/classThread_1_1AddressResolver.html#ac249179518a77ecfdaf7d4502ef2f940" title="This method returns the RLOC16 for a given EID, or initiates an Address Query if the mapping is not k..." alt="" coords="467,716,640,755"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ad7e30f5f1a451e88ebca600514a434b9"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::ThreadTlv::SetType </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20">Type</a>&#160;</td>
          <td class="paramname"><em>aType</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method sets the Type value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aType</td><td>The Type value. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../dd/d2b/classThread_1_1ThreadTlv_ad7e30f5f1a451e88ebca600514a434b9_icgraph.png" border="0" usemap="#dd/d2b/classThread_1_1ThreadTlv_ad7e30f5f1a451e88ebca600514a434b9_icgraph" alt=""/></div>
<map name="dd/d2b/classThread_1_1ThreadTlv_ad7e30f5f1a451e88ebca600514a434b9_icgraph" id="dd/d2b/classThread_1_1ThreadTlv_ad7e30f5f1a451e88ebca600514a434b9_icgraph">
<area shape="rect" id="node2" href="../../d4/d80/group__core-netdata-core.html#ga0caa53c797a248a80b591f963d110657" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="447,474,659,526"/>
<area shape="rect" id="node36" href="../../df/d0b/classThread_1_1ThreadTargetTlv.html#a7318ec141eba6389561bfcb5f4717c7c" title="This method initializes the TLV. " alt="" coords="212,715,380,754"/>
<area shape="rect" id="node38" href="../../dc/d31/classThread_1_1ThreadExtMacAddressTlv.html#ac6b4b050a6c650e4cb7de7e8fc7a9178" title="This method initializes the TLV. " alt="" coords="1220,460,1427,499"/>
<area shape="rect" id="node39" href="../../db/d2d/classThread_1_1ThreadRloc16Tlv.html#a952d3d7a606faed1102eade54c408d19" title="This method initializes the TLV. " alt="" coords="209,600,382,639"/>
<area shape="rect" id="node40" href="../../df/d0c/classThread_1_1ThreadMeshLocalEidTlv.html#a0450a18b95bd63c077843d1787ccccea" title="This method initializes the TLV. " alt="" coords="197,778,394,816"/>
<area shape="rect" id="node41" href="../../d4/df4/classThread_1_1ThreadStatusTlv.html#a249b814440f54492a04513f4e04f5212" title="This method initializes the TLV. " alt="" coords="1497,659,1666,698"/>
<area shape="rect" id="node42" href="../../dc/dc8/classThread_1_1ThreadLastTransactionTimeTlv.html#af9cc34caed840a2d9cac57601da0d9e1" title="This method initializes the TLV. " alt="" coords="192,840,399,879"/>
<area shape="rect" id="node43" href="../../dd/dd2/classThread_1_1ThreadRouterMaskTlv.html#a88b02161f10ccb6d431ac7d13876f904" title="This method initializes the TLV. " alt="" coords="461,550,646,588"/>
<area shape="rect" id="node44" href="../../d6/df1/classThread_1_1ThreadNetworkDataTlv.html#a9a28100fe7cb95feedaa1ff08fe08585" title="This method initializes the TLV. " alt="" coords="200,903,391,942"/>
<area shape="rect" id="node3" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#a719450dae714bd29bfea19b7d1eb6e9f" title="This method sends a Server Data Notification message to the Leader indicating an invalid RLOC16..." alt="" coords="707,482,949,520"/>
<area shape="rect" id="node5" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a6688957845dc3ee7fc08bbc50145d98e" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="712,362,945,400"/>
<area shape="rect" id="node4" href="../../db/dec/group__core-mle-router.html#gacc03d6eee4a8cc0fa65e15d1e65ca909" title="This method removes a link to a neighbor. " alt="" coords="1004,482,1165,520"/>
<area shape="rect" id="node6" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. " alt="" coords="2338,8,2469,34"/>
<area shape="rect" id="node10" href="../../df/d94/group__core-mle-core.html#gace8437c6340cefbd5db1a53f9e00422b" title="This method appends a Pending Timestamp TLV to a message. " alt="" coords="997,248,1172,287"/>
<area shape="rect" id="node29" href="../../db/dec/group__core-mle-router.html#gac532b9ffa61813ee2c1463b6820c8c75" title="This method returns the number of active routers. " alt="" coords="1766,431,1928,470"/>
<area shape="rect" id="node7" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="3283,184,3438,223"/>
<area shape="rect" id="node8" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="2579,102,2771,140"/>
<area shape="rect" id="node9" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="2819,102,3014,140"/>
<area shape="rect" id="node11" href="../../df/d94/group__core-mle-core.html#gac13477847483bba0aeab32fd93a7dbac" title="This method generates an MLE Data Request message. " alt="" coords="1229,191,1417,230"/>
<area shape="rect" id="node12" href="../../df/d94/group__core-mle-core.html#ga0ea27201cf13a4e1b0680a9da6c54a64" title="This method submits an MLE message to the UDP socket. " alt="" coords="1475,255,1689,280"/>
<area shape="rect" id="node25" href="../../db/dec/group__core-mle-router.html#ga12a2afd1fef5036981d7f1f05d3e6f01" title="This method sets the ROUTER_DOWNGRADE_THRESHOLD value. " alt="" coords="1739,152,1955,191"/>
<area shape="rect" id="node13" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="2826,360,3007,386"/>
<area shape="rect" id="node16" href="../../df/d94/group__core-mle-core.html#ga09239c621861382d25163980ab5d983b" title="This method generates an MLE Child Update Request message. " alt="" coords="1752,90,1942,128"/>
<area shape="rect" id="node23" href="../../df/d94/group__core-mle-core.html#ga91214fcb8db3271fc3ad0472e38c1e0a" title="This method generates an MLE Announce message. " alt="" coords="1737,267,1957,292"/>
<area shape="rect" id="node27" href="../../db/dec/group__core-mle-router.html#ga7126c084ace25827febebc4210928cd4" title="This method generates an MLE Link Reject. " alt="" coords="1766,368,1927,407"/>
<area shape="rect" id="node14" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="3062,318,3235,356"/>
<area shape="rect" id="node15" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="3106,380,3190,406"/>
<area shape="rect" id="node17" href="../../df/d94/group__core-mle-core.html#ga01c7e5a022360a6f35e30d07221dbfea" title="This method starts the MLE protocol operation. " alt="" coords="2038,210,2195,235"/>
<area shape="rect" id="node19" href="../../df/d94/group__core-mle-core.html#gafb51db61e6e184d664a9e7cc3833dcf4" title="This method sets the MLE Timeout value. " alt="" coords="2018,108,2214,134"/>
<area shape="rect" id="node21" href="../../df/d94/group__core-mle-core.html#ga453d94c377c5825a4a5e8b66a728e591" title="This method sets the Device Mode as reported in the Mode TLV. " alt="" coords="2005,59,2228,84"/>
<area shape="rect" id="node18" href="../../d0/d0a/group__commands.html#ga62fbc1cdb7b036df73975ca5683f8573" title="This function starts Thread protocol operation. " alt="" coords="2352,210,2455,235"/>
<area shape="rect" id="node20" href="../../df/d4f/group__config-general.html#ga6b28b99c77378da98922a3d994b7641c" title="Set the Thread Child Timeout used when operating in the Child role. " alt="" coords="2338,108,2469,134"/>
<area shape="rect" id="node22" href="../../df/d4f/group__config-general.html#ga8263fa852e25758aad3636bce0069a0d" title="Set the MLE Link Mode configuration. " alt="" coords="2348,59,2458,84"/>
<area shape="rect" id="node24" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a0ec55dcc678b320251be99112cfc037b" title="This method begins the MLE Announce transmission process. " alt="" coords="2014,259,2218,298"/>
<area shape="rect" id="node26" href="../../db/d57/group__config-test.html#ga907be1830046930bb04f606dc6dc3ec1" title="Set the ROUTER_DOWNGRADE_THRESHOLD parameter used in the Leader role. " alt="" coords="2293,159,2513,184"/>
<area shape="rect" id="node28" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="2590,394,2760,432"/>
<area shape="rect" id="node30" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="2035,550,2197,588"/>
<area shape="rect" id="node34" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="2035,431,2197,470"/>
<area shape="rect" id="node31" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="2321,550,2486,588"/>
<area shape="rect" id="node32" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="2593,580,2757,619"/>
<area shape="rect" id="node33" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="2605,518,2745,556"/>
<area shape="rect" id="node35" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="2276,431,2531,470"/>
<area shape="rect" id="node37" href="../../d4/dcf/classThread_1_1AddressResolver.html#ac249179518a77ecfdaf7d4502ef2f940" title="This method returns the RLOC16 for a given EID, or initiates an Address Query if the mapping is not k..." alt="" coords="467,716,640,755"/>
</map>
</div>
</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/core/thread/<a class="el" href="../../d8/d26/thread__tlvs_8hpp_source.html">thread_tlvs.hpp</a></li>
<li>src/core/thread/<a class="el" href="../../d9/d60/thread__tlvs_8cpp.html">thread_tlvs.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html">ThreadTlv</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:36 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
